Subject: bug#43167: 28.0.50; Cannot build on MacOS due to -std=c99 change in configure.ac

From: Alan Third <[email-masked]>
Date: Thu, 3 Sep 2020 22:58:30 +0200 (CEST)

On Tue, Sep 01, 2020 at 10:44:07PM -0700, Keith Irwin wrote:
> I’ve been unable to build Emacs from the master branch for the past
> several days on MacOS (Big Sur). Previously, compiling on Big Sur
> worked.
> 
> I get the following error:
> 
> 
>       CC       fringe.o
>       CC       image.o
>       CC       json.o
>       CC       nsterm.o
>     In file included from nsterm.m:46:
>     ./lisp.h:1237:24: error: implicit declaration of function 'typeof' is invalid in
>           C99 [-Werror,-Wimplicit-function-declaration]
>       return USE_LSB_TAG ? make_fixnum (n) : XIL (n + (int0 << VALBITS));

Ah, useful, now GCC won't build without -std=c99, but clang won't
build WITH it. 🙄

And the irony is that both versions I have direct access to don't care
either way.

Right, I'll have to add a test, I suppose.

Done, and pushed to master. I've checked it compiles here, but it was
working anyway, so please give it another go and let us know how it
goes.

Thanks!
-- 
Alan Third